## snake 0.1-1

=== debian/changelog ===
snake (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal <pkunal.parmar@gmail.com>  Fri, 4 Jun 2010 10:52:46 +0530

## snake charmer-0.10.0

=== requirements.txt ===
pygithub
sd_utils

## snake 0.1-2

=== debian/changelog ===
snake (0.1-2) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal <pkunal.parmar@gmail.com>  Fri, 4 Jun 2010 10:52:46 +0530

=== debian/control ===
Source: snake
Section: user/games
Priority: extra
Maintainer: kunal parmar <pkunal.parmar@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-core, libqt4-gui,libqt4-dbus, mce-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:pkunal.parmar@gmail.com
XB-Maemo-Display-Name: Snake

Package: snake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Snake game
 Snake game, use accelerometer to move snake around.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oGBBIPDgDRscgAAAyBSURBVGjezZl5eFX1mcc/v3POXbKHNQuQsEyg
 gAG0LhGqLKJFNlmq6NhRKSat2hmptTpoWazS0hmLM88MtSSI9RlrrUtxydQF
 EFBqQFkUNEAIN7JlIyEh5OYuZ3nnj3tvSEKAOATb93nOc8597u/8fu/yfdej
 6EYqKCi4HnhHRDYrpX5cWFhYkZ+fbyilFgI/LCwszAHIz8+nqKioW85U3cR4
 bK8dwECgJ1AO5IrIy0qpW2JLCwsLi7pTaao7mC8sLKSgoGAbcI2IXA58Wym1
 BqgVkb5KqS0iMhawlVK/FZFHioqK7O4QQLvYDaLMPy4i1wC/Lioq+qy6uvpl
 x3HeDIfD20zT3F9YWHhjampqCuAF4mfOnCl/NxaIYvpeXdf92dnZ7y9atGgy
 cC2wD5gIuAEPsGbp0qVGSUlJ8ubNmw+Gw2ETCAICnASO8Leg7Ozs2KMX2ACE
 o0xZQ4YMOb5mzZr1VVVVVZMnT94GVAHVwKno1RC9TgA+YMk3LoCu6wr476ys
 LFm1apWvvr7ev3///l2Ab+/evR+IiLS0tARERB58cOFjgMyYiSx8COcH9yJz
 b0WuHYszaDCONw6JCr8M6PtNQEgDFgFPrV+/vuW+++6rKS8vTwStFziarrtK
 LSvsHjlyZM3ixYs9t99++5V5eeN29ev/8ZiUVDQt6oGaBi4XNDYi2z5G+XwA
 7AX+Bdh8KZ24B3D/2rVrraamprry8vJsoE+fvo72j3ciCQnm8Pnzf6BKS0uP
 3nHHHVcEAoHnV6/+XXrJxwlmQgJI1JVtG4JBxOtFjZ8I02ciSpELFAMPXkoB
 BgGZZWUHA3Pnzs3o1x8191a4bR5441C3zIZXX3s+zeVyH8zJyXkmHA5PHT06
 N9NxerlcrjYwUNGbijynpaHuno8kJREP/AewGtAvBYQ+Bq5NSsaZdANaejpi
 2yjHiTAiEoHGjk8TGqbe/GjyhAnfqRw9+uqd/fpl3HTfA6fjmpoiTLclkTPv
 agr5cAuUlaGAt4CFQEV3CJAOvAeMGjECueJKlNeLOA5KKUQkwlgUImLbqHAI
 efttd3DkSJeZmelP6tX7jKCdkbTJFFVVyDv/iwK2ADcC5sUIcAWwweOhx7QZ
 SFoaKhRCYhA4lzZFkIQElGUh4fDZazsToNUSGtTXIev+jIr6xYzWKNhVruPj
 0U2TRcCfRo0mbtr0iNNZVufMx7AdY0QplGmCbZ+xzvmEiP0Xu8fFQ2YmHCpn
 mAjbo7VW1yxg6GiWzUcZGYydeEOE8ejm0l3Z/EIkAoYBGzfAoXJ8wHAgrHch
 zk81XBy48moGjJ8AmhbBuVKoGNa7cngbrceEFpFWRbRbdy6LOA4MHozs2kmP
 aCYvuZAAzw4dxsrrJ+IMGQym2cpwu4MvwHwrxNxusCyoqkKFgqiePSNCOM65
 YdhxO11HAaqqEhNYd85XNI2tN01hXGZmRGtRbUtXtB7TtAhK18HjQWpPoD7d
 DkcqoO8ADlgmnlAzA0eNQb41/PwRqWNkamqC116hARhudLLuuy4X706ZBpkZ
 iGm2g4o6X9iLwkSUimjJtpFt21BfVRBwNCqvmkDJb95ni8uN49hoJe/Rd8WP
 +NdBQ0h2RxLbeX0qBkMrEkTjAK2jAInAkjnfg+TkCPOqiy4a03hU6/LlF6i9
 X1A38DK2zl/Knjn5+GqO4T1ZgycqpDZuKjWT5/HKpg3cO+MWJBTq2nnBUJsA
 0+G/VI+bsW5XJPl0Jcq00bwCxO2BD9ajAkLJz37L6wOH4bdMlK+URC1iGdE0
 lAhSV4Vn3FQObn0jEuu7XEFG1lqAdHxN69UHlIbTMdG1zYxtniUGG4DTp1H/
 8wLBzFzWvvgZz2YOJBAOodk2tmq/oQKUGUabdxeHdRfNjY2tCuuqACHA6WgB
 /6lGDgPZscLKcdonlLZwAZTHgxw/hqpvpLqqjvKf/CfFV0+m7uBukpUGCJZS
 kYQpEeGVx4vdtz9B3UBaQA8HSdS6GI5dbvAdgmgiCxodcHzS7+f9l18if9qM
 iJrSMpBg4Ezc1rRIVhVB3G7UXz9CJWbwxtyH2ZSUgm24kNpjeJQW1aZqk+0F
 hl6Of80yhm98nfEnjtPcow8nXW6ITzi/z8XqKjOMOrAfgN1As9FJzC4Ih5my
 7nX6A45SaLfOQ1wulDgQDkNFBZKVjfpwC/6rbmbNPz1CaeAULjSIFnS2Ak0U
 SgmitEj83/8pesF1LEQxPDGFyvGzKN2/k1ylwO1BmWbnPhfzM01Dbf0Ix7Zx
 gG2dQShG7wMLAFME45WXMeKSODQ6jy9qa3D79nDzzh0wcwErFiym6sRxPEpr
 VbIohS6CIIjSAYX85p/57uEyxoyfxYeT5vKHcdOoOVWP+8WnOfqX33OlbXVe
 XLbJzlJ2ALWvFA34E/BCZ1Eo0qijF5xQWs4Desr1bquOt93e05N+HXzu23k0
 lH1O8pPzuRlg7zaGGgaVERYjVo7BSylwbJTmxlr6fe5pbiRp7XaeMkMYlonm
 +5KkxFTM+mqyohVnp9qP+aFtoz7Z3rrm++fsyJIzl6nbvAOTliqPx2vV4QUM
 T69Q3hSqQwG0tH4EklI5BlD9FRNsG39UdxH8RpGvG4jtwGPzKDh8gLzEHjTE
 JyCWiTJciDiQPoDApx8wadjwCP47074I6Dpy8iQSiPjiEmiNkhjLMK5Jjhtp
 NwX26ni+pYdPrLnDZTfc73f8mgLxgtodqHG99BS50+/Bl5CCdc/jPFf8PDdM
 mMNWfxOpHVOC4cGp/or4X8znkZbTpAILDu/nmbgknD1vkPDldpJqjhCnGWj+
 U/QcMwYsqzWDt3Naw0BVV6GK32qF9vJ2FloCjQ6aoeHooBlKi/+sGfks0fHf
 awOprv6nHjaPfQhM+7d15GcPwxVoRgu2oHsTsK0wWizhiRNhft8Oeq58kCVm
 GBUdj5wCVsenEkpORkbm0dg7ndCeEnLqj3Dn7Dm4LOusqhURaPEjb70JLS34
 kpP5h6amDqU+kJKu3H+sk/AmwTGfcJp/vxSOCeDRUyy/njRIM+nlwLBHZvPc
 gKG8cdejbO3ZB8vfhAtAHHDHYds2ascGsv6wkoeANUB+m7PCPXoy+c/l/Grf
 DhLDIbSPihl23fW4TPPsJiZmgbIyVEsLLXA28wCGW09tOZY6J39F/Vo/wFLo
 ExXMCdqnFy2398WmZ2OAR4+WsWj5Amb1TKNci2RsEUF54vE31DIs0IwG/Lyj
 qYHT/tPE1x7HsMKo2uO4LT8j4uPP7gdizUt9PWrP51RGR5WdZ2WPnpKzon6t
 f7lnSCwMZgi4XSqhbjnO023WBqITsyxgyskaSuuqMOqq6FNfzdBKH4MCzfw0
 OmpZ3slZ/TKyOWibaLob2bWJPhkZpLQdr5yZ9sGxo0jxW5iWxcPnm5saPwsf
 rgQIhQ6xFFzAMkHrERT/987xTk10IvHe1x2CZeVwNBRE651BsORdZlx3bbte
 o1X7to1sWI8Kh1kF/LFLg61fRG63Ccw2tORnl8Pri7u3rR2FwWFfKd5t6+mT
 5OayWEfWAUKyMcL874CfXLBf7/B7ugIsp/FXAE92H/O39s6kqfYo2uI7GWGZ
 XD7rFjCt9tWtriOlX6IOHwbgl10aOMQeonPt+4EDwPFu1Hwy8Pj0u3hnyt1U
 7vsE6+kHuDstHTHN9s1+czP8dSt2dKh79Bv7wHEBykpMofT57fy0sQ79xV8y
 d3A6k5TWvkRvaMApfhstHOLHwKouj/cvNfdKMc+2yNrwGsGUHjgNPu7s0RMt
 WjNF0ogNGzegNTXxGLDyG/1GdgHq5fayetkLvKi7kMJljDx0iGLbJtxmYseB
 A6jaWjZ+XeYvtQWGxifx7k238+rMBVTk5GKVFPPQnLmMEEEHlMsFu3fBJ9vx
 K8XsaIj+WmRcIuYTlWJd/hO8etVEqpWClQ8x67Lc1oijlIL6epw9n6MBj4mw
 /2/ymfUctCJ9IEczsqkPBdB2fEDv2iOMHjUasazWrzKycwdaOMw7wH/9fw+6
 FBYY3ncAs6++kdVP3M2I3DzqG+sZOnYs8bH63jCgogJV4WMXMP1iDrsUArz0
 9DqedASVPZTAgV3EB2u5LicHzbIiI5FTp5BNG2kACto2J38PEPr3sVMpNdw4
 Zgg1YTYnayuYnDuKdKUhmhbR/l+KUUAvYOfFHtidAuQlpnITGr4Tx/EMHE7L
 Mw9zeVoK30lIah07yu5d0NLCz7vtO3V3baTpbJk+n42VPuw3i+hXV4WxdzM/
 vCYPb7TflUAAtf49jjoOP4JoL31xlP5/PK+CIEtPh+QAAAAASUVORK5CYII=

## snake 0.1-3

=== debian/changelog ===
snake (0.1-3) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal <pkunal.parmar@gmail.com>  Fri, 4 Jun 2010 10:52:46 +0530

## snake 0.1-4

=== debian/changelog ===
snake (0.1-4) unstable; urgency=low

  * Some optimization (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Kunal <pkunal.parmar@gmail.com>  Fri, 4 Jun 2010 10:52:46 +0530

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
 Package: snake
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Snake game
- Snake game, use accelerometer to move snake around.
+Description: Classic snake game using Qt
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := snake
builddir:
	mkdir -p builddir

builddir/Makefile:builddir
	cd builddir && qmake-qt4 PREFIX=/user ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile 
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## snake egg-0.1.0

=== Makefile ===
.PHONY: all build test install doc clean distclean

activate=. venv/bin/activate


all: test

venv:
	python3 -m venv venv
	$(activate) && python -m pip install maturin

build: venv
	$(activate) && maturin build --release

test: snake_egg/tests/*.py build venv
	$(activate) && maturin develop && python snake_egg/tests/test_math.py
	$(activate) && maturin develop && python snake_egg/tests/test_prop.py
	$(activate) && maturin develop && python snake_egg/tests/test_simple.py
	$(activate) && maturin develop && python snake_egg/tests/test_dynamic.py
	$(activate) && maturin develop && python snake_egg/tests/test_dataclass.py

stubtest: snake_egg/__init__.pyi build venv
	$(activate) && maturin develop --extras=dev && python -m mypy.stubtest snake_egg --ignore-missing-stub

mypy: snake_egg/__init__.pyi build venv
	$(activate) && maturin develop --extras=dev && mypy snake_egg

install: venv
	$(activate) maturin build --release && \
	  python -m pip install snake_egg --force-reinstall --no-index \
	  --find-link ./target/wheels/

doc: venv
	$(activate) && maturin develop && python -m pydoc -w snake_egg.internal

shell: venv
	$(activate) && maturin develop && python -ic 'import snake_egg'

clean:
	cargo clean

distclean: clean
	$(RM) -r venv

## snake shift-1.0.2

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --format requirements.txt
-e .
backports-tarfile==1.2.0 ; python_full_version < '3.12' and platform_machine != 'ppc64le' and platform_machine != 's390x' \
    --hash=sha256:77e284d754527b01fb1e6fa8a1afe577858ebe4e9dad8919e34c862cb399bc34 \
    --hash=sha256:d75e02c268746e1b8144c278978b6e98e85de6ad16f8e4b0844a154557eca991
    # via jaraco-context
build==1.3.0 \
    --hash=sha256:698edd0ea270bde950f53aed21f3a0135672206f3911e0176261a31e0e07b397 \
    --hash=sha256:7145f0b5061ba90a1500d60bd1b13ca0a8a4cebdd0cc16ed8adf1c0e739f43b4
certifi==2025.8.3 \
    --hash=sha256:e564105f78ded564e3ae7c923924435e1daa7463faeab5bb932bc53ffae63407 \
    --hash=sha256:f6c12493cfb1b06ba2ff328595af9350c65d6644968e5d3a2ffd78699af217a5
    # via requests
cffi==1.17.1 ; platform_machine != 'ppc64le' and platform_machine != 's390x' and platform_python_implementation != 'PyPy' and sys_platform == 'linux' \
    --hash=sha256:045d61c734659cc045141be4bae381a41d89b741f795af1dd018bfb532fd0df8 \
    --hash=sha256:1257bdabf294dceb59f5e70c64a3e2f462c30c7ad68092d01bbbfb1c16b1ba36 \
    --hash=sha256:1c39c6016c32bc48dd54561950ebd6836e1670f2ae46128f67cf49e789c52824 \
    --hash=sha256:1d599671f396c4723d016dbddb72fe8e0397082b0a77a4fab8028923bec050e8 \
    --hash=sha256:2bb1a08b8008b281856e5971307cc386a8e9c5b625ac297e853d36da6efe9c17 \
    --hash=sha256:386c8bf53c502fff58903061338ce4f4950cbdcb23e2902d86c0f722b786bbe3 \
    --hash=sha256:3edc8d958eb099c634dace3c7e16560ae474aa3803a5df240542b305d14e14ed \
    --hash=sha256:45398b671ac6d70e67da8e4224a065cec6a93541bb7aebe1b198a61b58c7b702 \
    --hash=sha256:46bf43160c1a35f7ec506d254e5c890f3c03648a4dbac12d624e4490a7046cd1 \
    --hash=sha256:4ceb10419a9adf4460ea14cfd6bc43d08701f0835e979bf821052f1805850fe8 \
    --hash=sha256:5da5719280082ac6bd9aa7becb3938dc9f9cbd57fac7d2871717b1feb0902ab6 \
    --hash=sha256:610faea79c43e44c71e1ec53a554553fa22321b65fae24889706c0a84d4ad86d \
    --hash=sha256:6883e737d7d9e4899a8a695e00ec36bd4e5e4f18fabe0aca0efe0a4b44cdb13e \
    --hash=sha256:6b8b4a92e1c65048ff98cfe1f735ef8f1ceb72e3d5f0c25fdb12087a23da22be \
    --hash=sha256:706510fe141c86a69c8ddc029c7910003a17353970cff3b904ff0686a5927683 \
    --hash=sha256:72e72408cad3d5419375fc87d289076ee319835bdfa2caad331e377589aebba9 \
    --hash=sha256:9755e4345d1ec879e3849e62222a18c7174d65a6a92d5b346b1863912168b595 \
    --hash=sha256:98e3969bcff97cae1b2def8ba499ea3d6f31ddfdb7635374834cf89a1a08ecf0 \
    --hash=sha256:a1ed2dd2972641495a3ec98445e09766f077aee98a1c896dcb4ad0d303628e41 \
    --hash=sha256:a24ed04c8ffd54b0729c07cee15a81d964e6fee0e3d4d342a27b020d22959dc6 \
    --hash=sha256:a9b15d491f3ad5d692e11f6b71f7857e7835eb677955c00cc0aefcd0669adaf6 \
    --hash=sha256:ad9413ccdeda48c5afdae7e4fa2192157e991ff761e7ab8fdd8926f40b160cc3 \
    --hash=sha256:b62ce867176a75d03a665bad002af8e6d54644fad99a3c70905c543130e39d93 \
    --hash=sha256:c03e868a0b3bc35839ba98e74211ed2b05d2119be4e8a0f224fba9384f1fe02e \
    --hash=sha256:c59d6e989d07460165cc5ad3c61f9fd8f1b4796eacbd81cee78957842b834af4 \
    --hash=sha256:ca74b8dbe6e8e8263c0ffd60277de77dcee6c837a3d0881d8c1ead7268c9e576 \
    --hash=sha256:cdf5ce3acdfd1661132f2a9c19cac174758dc2352bfe37d98aa7512c6b7178b3 \
    --hash=sha256:d01b12eeeb4427d3110de311e1774046ad344f5b1a7403101878976ecd7a10f3 \
    --hash=sha256:d63afe322132c194cf832bfec0dc69a99fb9bb6bbd550f161a49e9e855cc78ff \
    --hash=sha256:da95af8214998d77a98cc14e3a3bd00aa191526343078b530ceb0bd710fb48a5 \
    --hash=sha256:dd398dbc6773384a17fe0d3e7eeb8d1a21c2200473ee6806bb5e6a8e62bb73dd \
    --hash=sha256:de2ea4b5833625383e464549fec1bc395c1bdeeb5f25c4a3a82b5a8c756ec22f \
    --hash=sha256:de55b766c7aa2e2a3092c51e0483d700341182f08e67c63630d5b6f200bb28e5 \
    --hash=sha256:edae79245293e15384b51f88b00613ba9f7198016a5948b5dddf4917d4d26382 \
    --hash=sha256:f1e22e8c4419538cb197e4dd60acc919d7696e5ef98ee4da4e01d3f8cfa4cc5a \
    --hash=sha256:f75c7ab1f9e4aca5414ed4d8e5c0e303a34f4421f8a0d47a4d019ceff0ab6af4 \
    --hash=sha256:f79fc4fc25f1c8698ff97788206bb3c2598949bfe0fef03d299eb1b5356ada99 \
    --hash=sha256:f7f5baafcc48261359e14bcd6d9bff6d4b28d9103847c9e136694cb0501aef87 \
    --hash=sha256:fc48c783f9c87e60831201f2cce7f3b2e4846bf4d8728eabe54d60700b318a0b
    # via cryptography
charset-normalizer==3.4.3 \
    --hash=sha256:00237675befef519d9af72169d8604a067d92755e84fe76492fef5441db05b91 \
    --hash=sha256:02425242e96bcf29a49711b0ca9f37e451da7c70562bc10e8ed992a5a7a25cc0 \
    --hash=sha256:027b776c26d38b7f15b26a5da1044f376455fb3766df8fc38563b4efbc515154 \
    --hash=sha256:07a0eae9e2787b586e129fdcbe1af6997f8d0e5abaa0bc98c0e20e124d67e601 \
    --hash=sha256:0cacf8f7297b0c4fcb74227692ca46b4a5852f8f4f24b3c766dd94a1075c4884 \
    --hash=sha256:0e78314bdc32fa80696f72fa16dc61168fda4d6a0c014e0380f9d02f0e5d8a07 \
    --hash=sha256:13faeacfe61784e2559e690fc53fa4c5ae97c6fcedb8eb6fb8d0a15b475d2c64 \
    --hash=sha256:14c2a87c65b351109f6abfc424cab3927b3bdece6f706e4d12faaf3d52ee5efe \
    --hash=sha256:1606f4a55c0fd363d754049cdf400175ee96c992b1f8018b993941f221221c5f \
    --hash=sha256:16a8770207946ac75703458e2c743631c79c59c5890c80011d536248f8eaa432 \
    --hash=sha256:18343b2d246dc6761a249ba1fb13f9ee9a2bcd95decc767319506056ea4ad4dc \
    --hash=sha256:18b97b8404387b96cdbd30ad660f6407799126d26a39ca65729162fd810a99aa \
    --hash=sha256:1bb60174149316da1c35fa5233681f7c0f9f514509b8e399ab70fea5f17e45c9 \
    --hash=sha256:1e8ac75d72fa3775e0b7cb7e4629cec13b7514d928d15ef8ea06bca03ef01cae \
    --hash=sha256:1ef99f0456d3d46a50945c98de1774da86f8e992ab5c77865ea8b8195341fc19 \
    --hash=sha256:2001a39612b241dae17b4687898843f254f8748b796a2e16f1051a17078d991d \
    --hash=sha256:23b6b24d74478dc833444cbd927c338349d6ae852ba53a0d02a2de1fce45b96e \
    --hash=sha256:257f26fed7d7ff59921b78244f3cd93ed2af1800ff048c33f624c87475819dd7 \
    --hash=sha256:2c322db9c8c89009a990ef07c3bcc9f011a3269bc06782f916cd3d9eed7c9312 \
    --hash=sha256:30a96e1e1f865f78b030d65241c1ee850cdf422d869e9028e2fc1d5e4db73b92 \
    --hash=sha256:30d006f98569de3459c2fc1f2acde170b7b2bd265dc1943e87e1a4efe1b67c31 \
    --hash=sha256:31a9a6f775f9bcd865d88ee350f0ffb0e25936a7f930ca98995c05abf1faf21c \
    --hash=sha256:320e8e66157cc4e247d9ddca8e21f427efc7a04bbd0ac8a9faf56583fa543f9f \
    --hash=sha256:34a7f768e3f985abdb42841e20e17b330ad3aaf4bb7e7aeeb73db2e70f077b99 \
    --hash=sha256:3cd35b7e8aedeb9e34c41385fda4f73ba609e561faedfae0a9e75e44ac558a15 \
    --hash=sha256:3cfb2aad70f2c6debfbcb717f23b7eb55febc0bb23dcffc0f076009da10c6392 \
    --hash=sha256:416175faf02e4b0810f1f38bcb54682878a4af94059a1cd63b8747244420801f \
    --hash=sha256:41d1fc408ff5fdfb910200ec0e74abc40387bccb3252f3f27c0676731df2b2c8 \
    --hash=sha256:42e5088973e56e31e4fa58eb6bd709e42fc03799c11c42929592889a2e54c491 \
    --hash=sha256:4ca4c094de7771a98d7fbd67d9e5dbf1eb73efa4f744a730437d8a3a5cf994f0 \
    --hash=sha256:511729f456829ef86ac41ca78c63a5cb55240ed23b4b737faca0eb1abb1c41bc \
    --hash=sha256:53cd68b185d98dde4ad8990e56a58dea83a4162161b1ea9272e5c9182ce415e0 \
    --hash=sha256:585f3b2a80fbd26b048a0be90c5aae8f06605d3c92615911c3a2b03a8a3b796f \
    --hash=sha256:6aab0f181c486f973bc7262a97f5aca3ee7e1437011ef0c2ec04b5a11d16c927 \
    --hash=sha256:6cf8fd4c04756b6b60146d98cd8a77d0cdae0e1ca20329da2ac85eed779b6849 \
    --hash=sha256:6fb70de56f1859a3f71261cbe41005f56a7842cc348d3aeb26237560bfa5e0ce \
    --hash=sha256:6fce4b8500244f6fcb71465d4a4930d132ba9ab8e71a7859e6a5d59851068d14 \
    --hash=sha256:70bfc5f2c318afece2f5838ea5e4c3febada0be750fcf4775641052bbba14d05 \
    --hash=sha256:73dc19b562516fc9bcf6e5d6e596df0b4eb98d87e4f79f3ae71840e6ed21361c \
    --hash=sha256:74d77e25adda8581ffc1c720f1c81ca082921329452eba58b16233ab1842141c \
    --hash=sha256:78deba4d8f9590fe4dae384aeff04082510a709957e968753ff3c48399f6f92a \
    --hash=sha256:86df271bf921c2ee3818f0522e9a5b8092ca2ad8b065ece5d7d9d0e9f4849bcc \
    --hash=sha256:88ab34806dea0671532d3f82d82b85e8fc23d7b2dd12fa837978dad9bb392a34 \
    --hash=sha256:8dcfc373f888e4fb39a7bc57e93e3b845e7f462dacc008d9749568b1c4ece096 \
    --hash=sha256:939578d9d8fd4299220161fdd76e86c6a251987476f5243e8864a7844476ba14 \
    --hash=sha256:96b2b3d1a83ad55310de8c7b4a2d04d9277d5591f40761274856635acc5fcb30 \
    --hash=sha256:b256ee2e749283ef3ddcff51a675ff43798d92d746d1a6e4631bf8c707d22d0b \
    --hash=sha256:b89bc04de1d83006373429975f8ef9e7932534b8cc9ca582e4db7d20d91816db \
    --hash=sha256:bd28b817ea8c70215401f657edef3a8aa83c29d447fb0b622c35403780ba11d5 \
    --hash=sha256:c6dbd0ccdda3a2ba7c2ecd9d77b37f3b5831687d8dc1b6ca5f56a4880cc7b7ce \
    --hash=sha256:c6e490913a46fa054e03699c70019ab869e990270597018cef1d8562132c2669 \
    --hash=sha256:c6f162aabe9a91a309510d74eeb6507fab5fff92337a15acbe77753d88d9dcf0 \
    --hash=sha256:c6fd51128a41297f5409deab284fecbe5305ebd7e5a1f959bee1c054622b7018 \
    --hash=sha256:cc34f233c9e71701040d772aa7490318673aa7164a0efe3172b2981218c26d93 \
    --hash=sha256:cc9370a2da1ac13f0153780040f465839e6cccb4a1e44810124b4e22483c93fe \
    --hash=sha256:ccf600859c183d70eb47e05a44cd80a4ce77394d1ac0f79dbd2dd90a69a3a049 \
    --hash=sha256:ce571ab16d890d23b5c278547ba694193a45011ff86a9162a71307ed9f86759a \
    --hash=sha256:cf1ebb7d78e1ad8ec2a8c4732c7be2e736f6e5123a4146c5b89c9d1f585f8cef \
    --hash=sha256:d0e909868420b7049dafd3a31d45125b31143eec59235311fc4c57ea26a4acd2 \
    --hash=sha256:d22dbedd33326a4a5190dd4fe9e9e693ef12160c77382d9e87919bce54f3d4ca \
    --hash=sha256:d716a916938e03231e86e43782ca7878fb602a125a91e7acb8b5112e2e96ac16 \
    --hash=sha256:d79c198e27580c8e958906f803e63cddb77653731be08851c7df0b1a14a8fc0f \
    --hash=sha256:e28e334d3ff134e88989d90ba04b47d84382a828c061d0d1027b1b12a62b39b1 \
    --hash=sha256:fb6fecfd65564f208cbf0fba07f107fb661bcd1a7c389edbced3f7a493f70e37 \
    --hash=sha256:fb731e5deb0c7ef82d698b0f4c5bb724633ee2a489401594c5c88b02e6cb15f7 \
    --hash=sha256:fb7f67a1bfa6e40b438170ebdc8158b78dc465a5a67b6dde178a46987b244a72 \
    --hash=sha256:fd10de089bcdcd1be95a2f73dbe6254798ec1bda9f450d5828c96f93e2536b9c \
    --hash=sha256:fdabf8315679312cfa71302f9bd509ded4f2f263fb5b765cf1433b39106c3cc9
    # via requests
click==8.1.8 ; python_full_version < '3.10' \
    --hash=sha256:63c132bbbed01578a06712a2d1f497bb62d9c1c0d329b7903a866228027263b2 \
    --hash=sha256:ed53c9d8990d83c2a27deae68e4ee337473f6330c040a31d4225c9574d16096a
    # via typer
click==8.2.1 ; python_full_version >= '3.10' \
    --hash=sha256:27c491cc05d968d271d5a1db13e3b5a184636d9d930f148c50b038f0d0646202 \
    --hash=sha256:61a3265b914e850b85317d0b3109c7f8cd35a670f963866005d6ef1d5175a12b
    # via typer
colorama==0.4.6 ; os_name == 'nt' or sys_platform == 'win32' \
    --hash=sha256:08695f5cb7ed6e0531a20572697297273c47b8cae5a63ffc6d6ed5c201be6e44 \
    --hash=sha256:4f1d9991f5acc0ca119f9d443620b77f9d6b33703e51011c16baf57afb285fc6
    # via
    #   build
    #   click
    #   pytest
cryptography==45.0.7 ; platform_machine != 'ppc64le' and platform_machine != 's390x' and sys_platform == 'linux' \
    --hash=sha256:06ce84dc14df0bf6ea84666f958e6080cdb6fe1231be2a51f3fc1267d9f3fb34 \
    --hash=sha256:16ede8a4f7929b4b7ff3642eba2bf79aa1d71f24ab6ee443935c0d269b6bc513 \
    --hash=sha256:1993a1bb7e4eccfb922b6cd414f072e08ff5816702a0bdb8941c247a6b1b287c \
    --hash=sha256:258e0dff86d1d891169b5af222d362468a9570e2532923088658aa866eb11130 \
    --hash=sha256:2f641b64acc00811da98df63df7d59fd4706c0df449da71cb7ac39a0732b40ae \
    --hash=sha256:3994c809c17fc570c2af12c9b840d7cea85a9fd3e5c0e0491f4fa3c029216d59 \
    --hash=sha256:465ccac9d70115cd4de7186e60cfe989de73f7bb23e8a7aa45af18f7412e75bf \
    --hash=sha256:48c41a44ef8b8c2e80ca4527ee81daa4c527df3ecbc9423c41a420a9559d0e27 \
    --hash=sha256:4b1654dfc64ea479c242508eb8c724044f1e964a47d1d1cacc5132292d851971 \
    --hash=sha256:4bd3e5c4b9682bc112d634f2c6ccc6736ed3635fc3319ac2bb11d768cc5a00d8 \
    --hash=sha256:577470e39e60a6cd7780793202e63536026d9b8641de011ed9d8174da9ca5339 \
